package com.goldenwater.slgc.mapper;

import java.util.List;
import java.util.Map;
import com.goldenwater.slgc.domain.AttResBase;
import org.apache.ibatis.annotations.Mapper;

/** 水库信息 Mapper */
@Mapper
public interface AttResBaseMapper {
    /**
     * 查询水库信息列表
     * 
     * @param attResBase 查询条件
     * @return 水库信息列表
     */
    public List<AttResBase> selectAttResBaseList(AttResBase attResBase);

    /**
     * 通过水库编码查询水库信息
     * 
     * @param resCode 水库编码
     * @return 水库信息
     */
    public AttResBase selectAttResBaseById(String resCode);

    /**
     * 通过水库编码删除水库信息
     * 
     * @param resCode 水库编码
     * @return 影响行数
     */
    public int deleteAttResBaseById(String resCode);

    /**
     * 批量删除水库信息
     * 
     * @param resCodes 水库编码数组
     * @return 影响行数
     */
    public int deleteAttResBaseByIds(String[] resCodes);

    /**
     * 修改水库信息
     * 
     * @param attResBase 水库信息
     * @return 影响行数
     */
    public int updateAttResBase(AttResBase attResBase);

    /**
     * 新增水库信息
     * 
     * @param attResBase 水库信息
     * @return 影响行数
     */
    public int insertAttResBase(AttResBase attResBase);

    /**
     * 统计水库规模分布
     * 
     * @return 水库规模分布统计结果
     */
    public List<Map<String, Object>> countType();
}
